function [glob,datevec,bigvec]=dating_MLE(y,z,q,x,p,h,m,bigt)

datevec            = zeros(m,m); 
optdat             = zeros(bigt,m); 
optmle             = zeros(bigt,m);      
dvec               = zeros(bigt,1);                        

glob               = zeros(m,1);                            
bigvec             = zeros(bigt*(bigt+1)/2,1);        

for i=1:bigt-h+1
    loglik         = mlef(i,y,z,q,x,p,h,bigt);
    bigvec((i-1)*bigt+i-(i-1)*i/2:i*bigt-(i-1)*i/2,1)=loglik(i:bigt,1);
end

if m == 1
    [mlemax,datx]  = parti(1,h,bigt-h,bigt,bigvec,bigt);
    datevec(1,1)   = datx;
    glob(1,1)      = mlemax; 
else

    for j1=2*h:bigt 
     [mlemax,datx] = parti(1,h,j1-h,j1,bigvec,bigt);           
     optmle(j1,1)  = mlemax;                                                     
     optdat(j1,1)  = datx;                                                           
    end
    glob(1,1)      = optmle(bigt,1); 
    datevec(1,1)   = optdat(bigt,1);

    for ib=2:m
        if ib == m             
            jlast=bigt;
            for jb=ib*h:jlast-h
                dvec(jb,1)       = optmle(jb,ib-1)+bigvec((jb+1)*bigt-jb*(jb+1)/2,1);
            end
            optmle(jlast,ib)     = min(dvec(ib*h:jlast-h,1));
            [~,minindcdvec]      = min(dvec(ib*h:jlast-h,1));
            optdat(jlast,ib)     = (ib*h-1)+minindcdvec';           
        else
            for jlast=(ib+1)*h:bigt         
                for jb=ib*h:jlast-h
                    dvec(jb,1)   = optmle(jb,ib-1)+bigvec(jb*bigt-jb*(jb-1)/2+jlast-jb,1);
                end
                optmle(jlast,ib) = min(dvec(ib*h:jlast-h,1));
                [~,minindcdvec]  = min(dvec(ib*h:jlast-h,1));
                optdat(jlast,ib) = (ib*h-1)+minindcdvec';                
            end
        end


        datevec(ib,ib)           = optdat(bigt,ib);
        for i=1:ib-1
            xx=ib-i;
            datevec(xx,ib)       = optdat(datevec(xx+1,ib),xx);
        end
        glob(ib,1)               = optmle(bigt,ib);
    end

end

glob=-glob; 