function cv=getcv4(signif,trm,q)

% input of the critical value of the supLR4 test
% A matrix is provided for each set of (q,signif). Its row 
% corresponds m (# of coefficient breaks) and its column
% corresponds to n (# of variance breaks).

if trm == .05
cv=zeros(9,9);

if q==1
if signif == 1 
cv=[
 7.08   7.11  6.58  6.27  5.88  5.60  5.28  5.00  4.79;
 7.13   7.11  6.76  6.38  6.03  5.73  5.47  5.20  NaN;
 6.64   6.70  6.43  6.16  5.87  5.63  5.42  NaN   NaN;
 6.30   6.38  6.17  5.97  5.76  5.51  NaN   NaN   NaN;
 5.92   6.05  5.89  5.77  5.57  NaN   NaN   NaN   NaN;
 5.61   5.78  5.63  5.53  NaN   NaN   NaN   NaN   NaN;
 5.30   5.48  5.39  NaN   NaN   NaN   NaN   NaN   NaN;
 4.98   5.22  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 4.77   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
 8.03   7.82  7.26  6.80  6.37  6.04  5.73  5.39  5.14;
 7.83   7.71  7.27  6.85  6.46  6.11  5.84  5.56  NaN;
 7.24   7.22  6.88  6.58  6.30  6.02  5.75  NaN   NaN;
 6.83   6.84  6.63  6.35  6.10  5.90  NaN   NaN   NaN;
 6.40   6.49  6.31  6.14  5.93  NaN   NaN   NaN   NaN;
 6.02   6.19  5.99  5.92  NaN   NaN   NaN   NaN   NaN;
 5.74   5.83  5.74  NaN   NaN   NaN   NaN   NaN   NaN;
 5.38   5.58  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 5.11   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 3 
cv=[
 8.88   8.42  7.87  7.26  6.81  6.41  6.06  5.73  5.44;
 8.54   8.25  7.76  7.30  6.84  6.46  6.16  5.84  NaN;
 7.82   7.68  7.33  7.00  6.63  6.33  6.06  NaN   NaN;
 7.29   7.29  7.05  6.71  6.44  6.22  NaN   NaN   NaN;
 6.87   6.88  6.64  6.49  6.27  NaN   NaN   NaN   NaN;
 6.40   6.56  6.35  6.28  NaN   NaN   NaN   NaN   NaN;
 6.10   6.13  6.04  NaN   NaN   NaN   NaN   NaN   NaN;
 5.71   5.89  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 5.42   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 4 
cv=[
10.08   9.29  8.56  7.91  7.37  6.83  6.56  6.15  5.83;
 9.39   8.94  8.45  7.88  7.33  6.87  6.58  6.27  NaN;
 8.39   8.29  7.88  7.53  6.98  6.72  6.47  NaN   NaN;
 7.84   7.84  7.54  7.19  6.84  6.60  NaN   NaN   NaN;
 7.47   7.38  7.08  6.85  6.64  NaN   NaN   NaN   NaN;
 6.85   6.98  6.76  6.67  NaN   NaN   NaN   NaN   NaN;
 6.60   6.51  6.39  NaN   NaN   NaN   NaN   NaN   NaN;
 6.09   6.25  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 5.77   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
end

if q==2
if signif == 1 
cv=[
 8.41   8.01  7.30  6.85  6.35  5.97  5.58  5.32  5.05;
 8.74   8.36  7.69  7.20  6.73  6.32  6.01  5.69  NaN;
 8.47   8.17  7.64  7.23  6.81  6.44  6.11  NaN   NaN;
 8.27   7.97  7.54  7.19  6.81  6.52  NaN   NaN   NaN;
 7.88   7.74  7.40  7.04  6.74  NaN   NaN   NaN   NaN;
 7.56   7.49  7.19  6.92  NaN   NaN   NaN   NaN   NaN;
 7.29   7.21  6.99  NaN   NaN   NaN   NaN   NaN   NaN;
 6.98   6.94  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 6.74   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
 9.44   8.77  7.94  7.39  6.85  6.43  6.00  5.70  5.41;
 9.48   9.02  8.22  7.70  7.18  6.73  6.38  6.03  NaN;
 9.16   8.73  8.18  7.70  7.23  6.83  6.47  NaN   NaN;
 8.88   8.51  7.99  7.59  7.20  6.87  NaN   NaN   NaN;
 8.40   8.22  7.80  7.44  7.12  NaN   NaN   NaN   NaN;
 8.07   7.88  7.63  7.31  NaN   NaN   NaN   NaN   NaN;
 7.75   7.62  7.37  NaN   NaN   NaN   NaN   NaN   NaN;
 7.42   7.34  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 7.13   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 3 
cv=[
10.33   9.44  8.60  7.85  7.32  6.84  6.36  6.04  5.71;
10.14   9.61  8.75  8.16  7.63  7.08  6.71  6.36  NaN;
 9.79   9.24  8.65  8.11  7.61  7.16  6.82  NaN   NaN;
 9.40   9.02  8.43  7.95  7.56  7.20  NaN   NaN   NaN;
 8.85   8.67  8.21  7.83  7.45  NaN   NaN   NaN   NaN;
 8.47   8.27  8.00  7.65  NaN   NaN   NaN   NaN   NaN;
 8.14   7.97  7.70  NaN   NaN   NaN   NaN   NaN   NaN;
 7.79   7.70  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 7.48   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 4 
cv=[
11.68  10.26  9.24  8.44  7.82  7.41  6.80  6.47  6.10;
10.97  10.42  9.35  8.76  8.13  7.51  7.10  6.75  NaN;
10.54   9.85  9.22  8.62  8.05  7.59  7.18  NaN   NaN;
10.05   9.63  8.97  8.42  8.01  7.61  NaN   NaN   NaN;
 9.44   9.21  8.71  8.30  7.89  NaN   NaN   NaN   NaN;
 9.05   8.76  8.34  8.08  NaN   NaN   NaN   NaN   NaN;
 8.56   8.46  8.10  NaN   NaN   NaN   NaN   NaN   NaN;
 8.26   8.09  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 7.92   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end  
end

if q==3
if signif == 1 
cv=[
 9.57   8.72  7.82  7.24  6.70  6.26  5.90  5.53  5.23;
10.23   9.38  8.48  7.90  7.33  6.87  6.45  6.09  NaN;
10.05   9.46  8.68  8.08  7.61  7.13  6.75  NaN   NaN;
 9.86   9.36  8.67  8.15  7.72  7.26  NaN   NaN   NaN;
 9.49   9.15  8.58  8.14  7.73  NaN   NaN   NaN   NaN;
 9.27   8.96  8.47  8.08  NaN   NaN   NaN   NaN   NaN;
 8.95   8.72  8.29  NaN   NaN   NaN   NaN   NaN   NaN;
 8.70   8.50  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 8.39   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
10.63   9.51  8.48  7.79  7.20  6.69  6.31  5.90  5.59;
11.04  10.03  9.04  8.41  7.78  7.28  6.79  6.47  NaN;
10.79  10.01  9.18  8.55  8.06  7.56  7.13  NaN   NaN;
10.47   9.93  9.16  8.60  8.12  7.64  NaN   NaN   NaN;
10.09   9.68  9.04  8.59  8.10  NaN   NaN   NaN   NaN;
 9.77   9.43  8.90  8.49  NaN   NaN   NaN   NaN   NaN;
 9.45   9.15  8.75  NaN   NaN   NaN   NaN   NaN   NaN;
 9.15   8.89  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 8.80   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 3 
cv=[
11.63  10.25  9.08  8.26  7.62  7.12  6.70  6.25  5.87;
11.79  10.67  9.56  8.88  8.19  7.66  7.16  6.80  NaN;
11.45  10.55  9.71  8.97  8.43  7.96  7.48  NaN   NaN;
11.05  10.42  9.64  9.03  8.47  7.98  NaN   NaN   NaN;
10.61  10.19  9.45  8.95  8.44  NaN   NaN   NaN   NaN;
10.26   9.81  9.31  8.80  NaN   NaN   NaN   NaN   NaN;
 9.88   9.56  9.13  NaN   NaN   NaN   NaN   NaN   NaN;
 9.52   9.26  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 9.18   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 4 
cv=[
12.91  11.08   9.83  8.93  8.18  7.71  7.14  6.65  6.31;
12.68  11.43  10.21  9.46  8.71  8.08  7.60  7.18  NaN;
12.28  11.25  10.35  9.52  8.94  8.35  7.88  NaN   NaN;
11.75  11.05  10.16  9.50  8.94  8.45  NaN   NaN   NaN;
11.17  10.71   9.96  9.37  8.84  NaN   NaN   NaN   NaN;
10.77  10.34   9.81  9.26  NaN   NaN   NaN   NaN   NaN;
10.46  10.03   9.59  NaN   NaN   NaN   NaN   NaN   NaN;
10.06   9.65   NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 9.65   NaN    NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end    
end

if q==4
if signif == 1 
cv=[
10.61   9.43  8.29  7.60  7.03  6.53  6.14  5.77  5.41;
11.54  10.41  9.31  8.49  7.87  7.38  6.88  6.46  NaN;
11.50  10.55  9.65  8.88  8.25  7.75  7.28  NaN   NaN;
11.30  10.57  9.71  9.09  8.54  8.03  NaN   NaN   NaN;
11.11  10.44  9.74  9.14  8.62  NaN   NaN   NaN   NaN;
10.77  10.23  9.69  9.12  NaN   NaN   NaN   NaN   NaN;
10.48  10.08  9.54  NaN   NaN   NaN   NaN   NaN   NaN;
10.24   9.86  NaN   NaN   NaN   NaN   NaN   NaN   NaN;
 9.94   NaN   NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
11.66  10.20   8.96  8.18  7.56  6.97  6.55  6.14  5.75;
12.42  11.07   9.89  9.01  8.35  7.81  7.31  6.81  NaN;
12.26  11.16  10.20  9.33  8.70  8.13  7.66  NaN   NaN;
11.99  11.14  10.21  9.51  8.99  8.42  NaN   NaN   NaN;
11.70  11.00  10.23  9.60  9.02  NaN   NaN   NaN   NaN;
11.31  10.75  10.18  9.52  NaN   NaN   NaN   NaN   NaN;
10.99  10.54   9.99  NaN   NaN   NaN   NaN   NaN   NaN;
10.71  10.31   NaN   NaN   NaN   NaN   NaN   NaN   NaN;
10.40   NaN    NaN   NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 3 
cv=[
12.72  10.90   9.57  8.68  8.04  7.37  6.92  6.48  6.12;
13.21  11.69  10.48  9.48  8.79  8.16  7.69  7.13  NaN;
13.00  11.73  10.72  9.80  9.09  8.52  8.00  NaN   NaN;
12.60  11.65  10.66  9.93  9.39  8.78  NaN   NaN   NaN;
12.24  11.51  10.62  9.98  9.38  NaN   NaN   NaN   NaN;
11.80  11.27  10.62  9.92  NaN   NaN   NaN   NaN   NaN;
11.52  10.93  10.38  NaN   NaN   NaN   NaN   NaN   NaN;
11.18  10.67  NaN    NaN   NaN   NaN   NaN   NaN   NaN;
10.77   NaN   NaN    NaN   NaN   NaN   NaN   NaN   NaN];
end
if signif == 4 
cv=[
13.82  11.79  10.31   9.30  8.69  7.87  7.37  6.88  6.53;
14.26  12.40  11.10  10.15  9.31  8.66  8.19  7.58  NaN;
13.79  12.43  11.26  10.38  9.58  8.94  8.44  NaN   NaN;
13.24  12.28  11.20  10.41  9.90  9.25  NaN   NaN   NaN;
12.91  12.06  11.19  10.56  9.80  NaN   NaN   NaN   NaN;
12.37  11.85  11.17  10.36  NaN   NaN   NaN   NaN   NaN;
12.11  11.46  10.87  NaN    NaN   NaN   NaN   NaN   NaN;
11.81  11.28  NaN    NaN    NaN   NaN   NaN   NaN   NaN;
11.29   NaN   NaN    NaN    NaN   NaN   NaN   NaN   NaN];
end   
end

if q==5
if signif == 1 
cv=[
11.51  10.05   8.80   7.97  7.32  6.83  6.38  5.96  5.62;
12.73  11.36  10.03   9.11  8.37  7.84  7.27  6.81  NaN;
12.81  11.62  10.46   9.65  8.91  8.30  7.80  NaN   NaN;
12.72  11.77  10.73   9.99  9.28  8.68  NaN   NaN   NaN;
12.47  11.71  10.78  10.09  9.45  NaN   NaN   NaN   NaN;
12.30  11.54  10.79  10.15  NaN   NaN   NaN   NaN   NaN;
11.96  11.37  10.70  NaN    NaN   NaN   NaN   NaN   NaN;
11.68  11.18  NaN    NaN    NaN   NaN   NaN   NaN   NaN;
11.38  NaN    NaN    NaN    NaN   NaN   NaN   NaN   NaN];
end
if signif == 2
cv=[
12.67  10.84   9.46   8.51  7.83  7.30  6.78  6.35  5.96;
13.73  12.12  10.64   9.68  8.85  8.26  7.67  7.20  NaN;
13.63  12.27  10.99  10.18  9.38  8.76  8.18  NaN   NaN;
13.43  12.35  11.27  10.46  9.73  9.07  NaN   NaN   NaN;
13.12  12.33  11.25  10.58  9.85  NaN   NaN   NaN   NaN;
12.89  12.09  11.24  10.60  NaN   NaN   NaN   NaN   NaN;
12.50  11.89  11.16  NaN    NaN   NaN   NaN   NaN   NaN;
12.16  11.65  NaN    NaN    NaN   NaN   NaN   NaN   NaN;
11.85   NaN   NaN    NaN    NaN   NaN   NaN   NaN   NaN];
end
if signif == 3 
cv=[
13.73  11.61  10.08   9.08   8.30  7.70  7.18  6.71  6.30;
14.56  12.80  11.21  10.19   9.26  8.67  8.04  7.52  NaN;
14.36  12.80  11.48  10.63   9.78  9.12  8.61  NaN   NaN;
14.09  12.92  11.79  10.90  10.14  9.41  NaN   NaN   NaN;
13.69  12.76  11.72  10.99  10.23  NaN   NaN   NaN   NaN;
13.40  12.55  11.70  11.00  NaN    NaN   NaN   NaN   NaN;
13.02  12.31  11.62  NaN    NaN    NaN   NaN   NaN   NaN;
12.59  12.08  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
12.28  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 4 
cv=[
14.99  12.66  10.76   9.72   8.85  8.22  7.64  7.17  6.70;
15.59  13.55  11.81  10.79   9.75  9.18  8.48  7.91  NaN;
15.31  13.58  12.09  11.14  10.24  9.56  9.01  NaN   NaN;
14.89  13.60  12.33  11.39  10.60  9.88  NaN   NaN   NaN;
14.43  13.36  12.32  11.47  10.71  NaN   NaN   NaN   NaN;
14.09  13.10  12.19  11.43  NaN    NaN   NaN   NaN   NaN;
13.63  12.84  12.10  NaN    NaN    NaN   NaN   NaN   NaN;
13.13  12.52  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
12.76  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end   
end

if q==6
if signif == 1
cv=[
12.41   10.66  9.18   8.33   7.61  7.05  6.58  6.15  5.81;
13.88   12.19  10.69  9.71   8.86  8.19  7.65  7.18  NaN;
14.08   12.62  11.35  10.37  9.61  8.91  8.31  NaN   NaN;
14.12   12.79  11.70  10.75 10.02  9.32  NaN   NaN   NaN;
13.91   12.84  11.82  11.02 10.28  NaN   NaN   NaN   NaN;
13.64   12.77  11.86  11.13  NaN   NaN   NaN   NaN   NaN;
13.35   12.58  11.80  NaN    NaN   NaN   NaN   NaN   NaN;
13.07   12.44  NaN    NaN    NaN   NaN   NaN   NaN   NaN;
12.76   NaN    NaN    NaN    NaN   NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
13.59   11.49  9.86   8.90   8.13   7.51  7.00  6.55  6.17;
14.80   12.92  11.32  10.26  9.36   8.65  8.04  7.54  NaN;
14.94   13.31  11.87  10.90  10.08  9.33  8.73  NaN   NaN;
14.80   13.42  12.28  11.25  10.44  9.76  NaN   NaN   NaN;
14.58   13.42  12.31  11.48  10.69  NaN   NaN   NaN   NaN;
14.28   13.32  12.38  11.60  NaN    NaN   NaN   NaN   NaN;
13.91   13.07  12.28  NaN    NaN    NaN   NaN   NaN   NaN;
13.62   12.95  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
13.25   NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 3 
cv=[
14.57   12.25  10.54  9.44   8.62   7.90  7.41  6.94  6.49;
15.61   13.55  11.86  10.71  9.83   9.06  8.42  7.90  NaN;
15.66   13.96  12.42  11.35  10.48  9.68  9.11  NaN   NaN;
15.43   13.98  12.79  11.68  10.85  10.12 NaN   NaN   NaN;
15.16   13.94  12.83  11.91  11.11  NaN   NaN   NaN   NaN;
14.82   13.78  12.85  12.03  NaN    NaN   NaN   NaN   NaN;
14.37   13.58  12.70  NaN    NaN    NaN   NaN   NaN   NaN;
14.11   13.38  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
13.77   NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 4 
cv=[
15.61   13.25  11.42  10.04  9.16   8.42   7.85  7.41  6.89;
16.71   14.41  12.58  11.36  10.35  9.57   8.81  8.38  NaN;
16.54   14.71  13.07  11.89  10.91  10.18  9.60  NaN   NaN;
16.25   14.74  13.45  12.22  11.42  10.58  NaN   NaN   NaN;
15.80   14.50  13.39  12.43  11.57  NaN    NaN   NaN   NaN;
15.43   14.37  13.40  12.60  NaN    NaN    NaN   NaN   NaN;
14.98   14.13  13.20  NaN    NaN    NaN    NaN   NaN   NaN;
14.70   13.88  NaN    NaN    NaN    NaN    NaN   NaN   NaN;
14.36   NaN    NaN    NaN    NaN    NaN    NaN   NaN   NaN];
end      
end

if q==7
if signif == 1
cv=[
13.28  11.26  9.68   8.65   7.89   7.29  6.77  6.33  5.91;
15.03  12.97  11.35  10.20  9.31   8.61  7.98  7.45  NaN;
15.31  13.65  12.22  11.10  10.16  9.41  8.84  NaN   NaN;
15.34  13.94  12.63  11.56  10.74  10.01 NaN   NaN   NaN;
15.21  14.04  12.82  11.91  11.09  NaN   NaN   NaN   NaN;
14.97  13.92  12.89  12.02  NaN    NaN   NaN   NaN   NaN;
14.69  13.82  12.89  NaN    NaN    NaN   NaN   NaN   NaN;
14.42  13.65  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
14.17  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
14.55  12.10  10.35  9.25   8.43   7.75  7.20  6.70  6.31;
15.99  13.75  12.01  10.78  9.81   9.07  8.36  7.86  NaN;
16.14  14.37  12.80  11.62  10.62  9.88  9.26  NaN   NaN;
16.14  14.59  13.22  12.07  11.19  10.45 NaN   NaN   NaN;
15.88  14.66  13.39  12.40  11.53  NaN   NaN   NaN   NaN;
15.60  14.46  13.37  12.51  NaN    NaN   NaN   NaN   NaN;
15.31  14.39  13.37  NaN    NaN    NaN   NaN   NaN   NaN;
14.99  14.15  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
14.71  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 3
cv=[
15.63  12.85  11.06  9.78   8.89   8.22  7.58  7.08  6.66;
16.86  14.44  12.59  11.29  10.25  9.46  8.72  8.17  NaN;
16.87  14.98  13.32  12.07  11.06  10.28 9.57  NaN   NaN;
16.89  15.17  13.75  12.56  11.65  10.82 NaN   NaN   NaN;
16.47  15.21  13.88  12.86  11.94  NaN   NaN   NaN   NaN;
16.13  15.00  13.83  12.87  NaN    NaN   NaN   NaN   NaN;
15.84  14.90  13.80  NaN    NaN    NaN   NaN   NaN   NaN;
15.53  14.59  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
15.16  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 4
cv=[
17.11  13.80  11.99  10.40  9.44   8.70   8.10  7.55  7.01;
18.15  15.19  13.30  11.88  10.79  10.01  9.20  8.54  NaN;
17.82  15.78  14.00  12.62  11.50  10.86  10.09 NaN   NaN;
17.53  15.86  14.46  13.09  12.16  11.37  NaN   NaN   NaN;
17.11  15.90  14.47  13.37  12.50  NaN    NaN   NaN   NaN;
16.76  15.76  14.32  13.33  NaN    NaN    NaN   NaN   NaN;
16.54  15.50  14.44  NaN    NaN    NaN    NaN   NaN   NaN;
16.18  15.03  NaN    NaN    NaN    NaN    NaN   NaN   NaN;
15.75   NaN   NaN    NaN    NaN    NaN    NaN   NaN   NaN];
end         
end

if q==8
if signif == 1 
cv=[
14.16  11.82  10.02  8.96   8.20   7.54  6.95  6.52  6.11;
16.14  13.77  12.00  10.76  9.76   8.98  8.34  7.83  NaN;
16.60  14.60  12.94  11.75  10.75  9.99  9.26  NaN   NaN;
16.60  15.00  13.50  12.34  11.42  10.66 NaN   NaN   NaN;
16.49  15.10  13.79  12.74  11.82  NaN   NaN   NaN   NaN;
16.29  15.09  13.93  12.98  NaN    NaN   NaN   NaN   NaN;
16.05  14.99  13.95  NaN    NaN    NaN   NaN   NaN   NaN;
15.73  14.81  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
15.50   NaN   NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
15.38  12.64  10.80  9.59   8.70   7.99  7.40  6.95  6.47;
17.11  14.55  12.64  11.31  10.27  9.47  8.79  8.24  NaN;
17.51  15.32  13.60  12.28  11.26  10.46 9.69  NaN   NaN;
17.39  15.68  14.04  12.93  11.92  11.10 NaN   NaN   NaN;
17.18  15.75  14.35  13.22  12.28  NaN   NaN   NaN   NaN;
16.95  15.71  14.45  13.47  NaN    NaN   NaN   NaN   NaN;
16.66  15.53  14.47  NaN    NaN    NaN   NaN   NaN   NaN;
16.36  15.33  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
16.02  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 3
cv=[
16.62  13.47  11.50  10.20  9.22   8.43  7.77  7.27  6.80;
18.15  15.30  13.24  11.83  10.75  9.88  9.18  8.57  NaN;
18.27  16.00  14.10  12.81  11.67  10.89 10.09 NaN   NaN;
18.07  16.29  14.58  13.40  12.38  11.46 NaN   NaN   NaN;
17.82  16.29  14.89  13.64  12.68  NaN   NaN   NaN   NaN;
17.53  16.25  14.92  13.90  NaN    NaN   NaN   NaN   NaN;
17.18  16.00  14.97  NaN    NaN    NaN   NaN   NaN   NaN;
16.88  15.77  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
16.48   NaN   NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 4
cv=[
18.21  14.40  12.33  10.77  9.86   8.93  8.25  7.75  7.27;
19.26  16.11  13.91  12.41  11.32  10.35 9.53  8.95  NaN;
19.22  16.75  14.77  13.46  12.20  11.32 10.57 NaN   NaN;
19.07  17.06  15.24  13.97  12.89  12.01 NaN   NaN   NaN;
18.61  17.05  15.54  14.15  13.22  NaN   NaN   NaN   NaN;
18.20  16.90  15.60  14.41  NaN    NaN   NaN   NaN   NaN;
17.87  16.55  15.54  NaN    NaN    NaN   NaN   NaN   NaN;
17.43  16.25  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
17.13   NaN   NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end            
end

if q==9
if signif == 1
cv=[
14.91  12.31  10.45  9.34   8.42   7.75  7.17  6.71  6.26;
17.21  14.56  12.66  11.28  10.22  9.42  8.73  8.12  NaN;
17.74  15.52  13.71  12.40  11.35  10.46 9.75  NaN   NaN;
17.82  16.01  14.40  13.11  12.06  11.25 NaN   NaN   NaN;
17.72  16.19  14.79  13.57  12.62  NaN   NaN   NaN   NaN;
17.58  16.16  14.92  13.83  NaN    NaN   NaN   NaN   NaN;
17.29  16.17  14.99  NaN    NaN    NaN   NaN   NaN   NaN;
17.05  15.96  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
16.72   NaN   NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 2 
cv=[
16.19  13.25  11.20  9.93   8.96   8.24   7.64  7.11  6.61;
18.19  15.36  13.35  11.85  10.74  9.91   9.13  8.51  NaN;
18.60  16.27  14.33  12.94  11.82  10.93  10.18 NaN   NaN;
18.65  16.72  15.01  13.65  12.57  11.69  NaN   NaN   NaN;
18.48  16.84  15.33  14.08  13.09  NaN    NaN   NaN   NaN;
18.21  16.78  15.47  14.31  NaN    NaN    NaN   NaN   NaN;
17.92  16.73  15.53  NaN    NaN    NaN    NaN   NaN   NaN;
17.66  16.53  NaN    NaN    NaN    NaN    NaN   NaN   NaN;
17.26  NaN    NaN    NaN    NaN    NaN    NaN   NaN   NaN];
end
if signif == 3
cv=[
17.36  14.01  11.93  10.55  9.43   8.69   8.01  7.48  6.96;
19.06  16.05  13.95  12.38  11.18  10.32  9.54  8.87  NaN;
19.41  16.97  14.92  13.47  12.33  11.36  10.49 NaN   NaN;
19.28  17.35  15.55  14.16  13.03  12.08  NaN   NaN   NaN;
19.17  17.38  15.84  14.60  13.52  NaN    NaN   NaN   NaN;
18.81  17.29  16.00  14.77  NaN    NaN    NaN   NaN   NaN;
18.46  17.28  16.06  NaN    NaN    NaN    NaN   NaN   NaN;
18.12  17.00  NaN    NaN    NaN    NaN    NaN   NaN   NaN;
17.78   NaN   NaN    NaN    NaN    NaN    NaN   NaN   NaN];
end
if signif == 4
cv=[
18.89   15.11  12.82  11.12  10.02  9.23   8.50  7.97  7.36;
20.09   16.97  14.82  13.04  11.74  10.89  9.99  9.31  NaN;
20.46   17.79  15.56  14.06  12.95  11.76  10.98 NaN   NaN;
20.14   18.10  16.17  14.77  13.56  12.54  NaN   NaN   NaN;
19.96   18.17  16.42  15.12  13.98  NaN    NaN   NaN   NaN;
19.55   17.89  16.62  15.26  NaN    NaN    NaN   NaN   NaN;
19.11   18.00  16.65  NaN    NaN    NaN    NaN   NaN   NaN;
18.80   17.58  NaN    NaN    NaN    NaN    NaN   NaN   NaN;
18.52   NaN    NaN    NaN    NaN    NaN    NaN   NaN   NaN];
end            
end

if q==10
if signif == 1
cv=[
15.92  12.83  10.84  9.67   8.72   7.99  7.38  6.89  6.44;
18.15  15.36  13.22  11.79  10.70  9.80  9.09  8.41  NaN;
18.83  16.42  14.52  13.04  11.95  10.98 10.20 NaN   NaN;
19.12  16.98  15.27  13.84  12.75  11.86 NaN   NaN   NaN;
18.95  17.26  15.63  14.41  13.34  NaN   NaN   NaN   NaN;
18.80  17.33  15.88  14.72  NaN    NaN   NaN   NaN   NaN;
18.56  17.26  15.98  NaN    NaN    NaN   NaN   NaN   NaN;
18.28  17.15  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
18.01  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 2
cv=[
17.18  13.77  11.62  10.29  9.31   8.51  7.86  7.28  6.82;
19.23  16.18  13.92  12.41  11.28  10.26 9.54  8.82  NaN;
19.69  17.19  15.14  13.63  12.46  11.47 10.62 NaN   NaN;
19.95  17.69  15.87  14.38  13.27  12.32 NaN   NaN   NaN;
19.70  17.86  16.23  14.94  13.87  NaN   NaN   NaN   NaN;
19.48  17.94  16.45  15.23  NaN    NaN   NaN   NaN   NaN;
19.21  17.87  16.50  NaN    NaN    NaN   NaN   NaN   NaN;
18.89  17.74  NaN    NaN    NaN    NaN   NaN   NaN   NaN;
18.60  NaN    NaN    NaN    NaN    NaN   NaN   NaN   NaN];
end
if signif == 3
cv=[
18.28  14.60  12.32  10.91  9.78   8.98   8.26  7.63  7.14;
20.14  16.93  14.50  12.91  11.73  10.77  9.89  9.19  NaN;
20.56  17.88  15.75  14.23  12.93  11.83  11.02 NaN   NaN;
20.71  18.38  16.44  14.90  13.71  12.69  NaN   NaN   NaN;
20.40  18.48  16.77  15.42  14.30  NaN    NaN   NaN   NaN;
20.04  18.49  17.01  15.68  NaN    NaN    NaN   NaN   NaN;
19.86  18.40  16.98  NaN    NaN    NaN    NaN   NaN   NaN;
19.47  18.24  NaN    NaN    NaN    NaN    NaN   NaN   NaN;
19.10   NaN   NaN    NaN    NaN    NaN    NaN   NaN   NaN];
end
if signif == 4
cv=[
19.87  15.60  13.14  11.55  10.38  9.47   8.77  8.07  7.53;
21.12  17.83  15.29  13.53  12.37  11.27  10.35 9.57  NaN;
21.61  18.79  16.49  14.88  13.47  12.44  11.47 NaN   NaN;
21.59  19.10  17.04  15.44  14.24  13.23  NaN   NaN   NaN;
21.25  19.10  17.39  15.90  14.82  NaN    NaN   NaN   NaN;
20.80  19.16  17.66  16.29  NaN    NaN    NaN   NaN   NaN;
20.59  19.06  17.63  NaN    NaN    NaN    NaN   NaN   NaN;
20.08  18.83  NaN    NaN    NaN    NaN    NaN   NaN   NaN;
19.74  NaN    NaN    NaN    NaN    NaN    NaN   NaN   NaN];
end             
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if trm == .10
cv=zeros(7,7);
if q==1
if signif == 1
cv=[
 6.59    6.32    5.77    5.24    4.78    4.34    3.93; 
 6.34    6.20    5.74    5.38    4.91    4.49     NaN;
 5.79    5.74    5.43    5.11    4.75     NaN     NaN; 
 5.24    5.32    5.11    4.86     NaN     NaN     NaN;  
 4.76    4.96    4.79     NaN     NaN     NaN     NaN;   
 4.35    4.49     NaN     NaN     NaN     NaN     NaN;   
 3.91     NaN     NaN     NaN     NaN     NaN     NaN];   
end
if signif == 2
cv=[
 7.63    7.10    6.43    5.76    5.26    4.73   4.32; 
 7.12    6.83    6.26    5.86    5.35    4.90    NaN;
 6.39    6.27    5.90    5.54    5.12     NaN    NaN; 
 5.78    5.81    5.52    5.25     NaN     NaN    NaN;  
 5.19    5.33    5.16     NaN     NaN     NaN    NaN;   
 4.81    4.84     NaN     NaN     NaN     NaN    NaN;   
 4.28     NaN     NaN     NaN     NaN     NaN    NaN];   
end
if signif == 3
cv=[
 8.54    7.75    6.93    6.26    5.69    5.10   4.73; 
 7.78    7.44    6.77    6.24    5.76    5.27    NaN;
 6.99    6.72    6.31    5.86    5.45     NaN    NaN; 
 6.28    6.25    5.92    5.61     NaN     NaN    NaN;  
 5.61    5.72    5.52     NaN     NaN     NaN    NaN;   
 5.19    5.18     NaN     NaN     NaN     NaN    NaN;   
 4.59     NaN     NaN     NaN     NaN     NaN    NaN];   
end
if signif == 4
cv=[
 9.79    8.70    7.77    6.86    6.16    5.48   5.16; 
 8.73    8.17    7.36    6.76    6.18    5.72    NaN;
 7.60    7.25    6.83    6.30    5.91     NaN    NaN; 
 6.87    6.81    6.32    6.07     NaN     NaN    NaN;  
 6.09    6.17    5.92     NaN     NaN     NaN    NaN;   
 5.62    5.65     NaN     NaN     NaN     NaN    NaN;   
 4.97     NaN     NaN     NaN     NaN     NaN    NaN];   
end
end  

if q==2
if signif == 1
cv=[
 7.88    7.18    6.40    5.78    5.25    4.72    4.25; 
 7.96    7.41    6.70    6.10    5.53    5.08     NaN;
 7.52    7.12    6.59    6.06    5.63     NaN     NaN; 
 7.03    6.82    6.35    5.93     NaN     NaN     NaN;  
 6.64    6.42    6.08     NaN     NaN     NaN     NaN;   
 6.11    6.03     NaN     NaN     NaN     NaN     NaN;   
 5.65     NaN     NaN     NaN     NaN     NaN     NaN];   
end
if signif == 2
cv=[
 8.87    7.94    6.96    6.34    5.73    5.16    4.63; 
 8.78    8.03    7.23    6.58    5.98    5.48     NaN;
 8.15    7.68    7.08    6.52    6.04     NaN     NaN; 
 7.63    7.32    6.81    6.32     NaN     NaN     NaN;  
 7.14    6.88    6.51     NaN     NaN     NaN     NaN;   
 6.58    6.49     NaN     NaN     NaN     NaN     NaN;   
 6.04     NaN     NaN     NaN     NaN     NaN     NaN];   
end
if signif == 3
cv=[
 9.85    8.69    7.54    6.80    6.16    5.58    4.94; 
 9.52    8.69    7.77    7.02    6.36    5.85     NaN;
 8.73    8.16    7.48    6.96    6.44     NaN     NaN; 
 8.20    7.78    7.23    6.69     NaN     NaN     NaN;  
 7.58    7.26    6.88     NaN     NaN     NaN     NaN;   
 7.03    6.85     NaN     NaN     NaN     NaN     NaN;   
 6.44     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 4
cv=[
11.12    9.52    8.37    7.43    6.77    6.04    5.35; 
10.55    9.52    8.37    7.57    6.89    6.27     NaN;
 9.68    8.80    8.01    7.54    6.94     NaN     NaN; 
 8.82    8.35    7.81    7.27     NaN     NaN     NaN;  
 8.25    7.82    7.47     NaN     NaN     NaN     NaN;   
 7.60    7.39     NaN     NaN     NaN     NaN     NaN;   
 6.98     NaN     NaN     NaN     NaN     NaN     NaN];  
end
end  

if q==3
if signif == 1
cv=[
 8.98    7.93    6.94    6.20    5.54    5.04    4.49; 
 9.34    8.44    7.52    6.76    6.18    5.61     NaN;
 9.04    8.33    7.56    6.94    6.35     NaN     NaN; 
 8.62    8.05    7.47    6.87     NaN     NaN     NaN;  
 8.12    7.75    7.27     NaN     NaN     NaN     NaN;   
 7.66    7.37     NaN     NaN     NaN     NaN     NaN;   
 7.08     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 2
cv=[
10.06    8.72    7.58    6.76    6.03    5.46    4.89; 
10.23    9.11    8.09    7.24    6.63    6.02     NaN;
 9.73    8.91    8.09    7.39    6.77     NaN     NaN; 
 9.29    8.61    7.99    7.31     NaN     NaN     NaN;  
 8.69    8.26    7.73     NaN     NaN     NaN     NaN;   
 8.22    7.84     NaN     NaN     NaN     NaN     NaN;   
 7.54     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 3
cv=[
11.08    9.43    8.18    7.30    6.47    5.82    5.28; 
10.98    9.75    8.60    7.68    7.04    6.40     NaN;
10.36    9.46    8.57    7.77    7.18     NaN     NaN; 
 9.87    9.06    8.45    7.71     NaN     NaN     NaN;  
 9.20    8.74    8.10     NaN     NaN     NaN     NaN;   
 8.73    8.27     NaN     NaN     NaN     NaN     NaN;   
 7.97     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 4
cv=[
12.43   10.33    8.91    7.88    7.01    6.34    5.66; 
12.01   10.53    9.20    8.27    7.50    6.83     NaN;
11.18   10.09    9.15    8.31    7.68     NaN     NaN; 
10.58    9.80    8.98    8.29     NaN     NaN     NaN;  
 9.80    9.34    8.66     NaN     NaN     NaN     NaN;   
 9.23    8.81     NaN     NaN     NaN     NaN     NaN;   
 8.48     NaN     NaN     NaN     NaN     NaN     NaN]; 
end
end  

if q==4
if signif == 1
cv=[
 9.96    8.54    7.41    6.54    5.93    5.27    4.76; 
10.60    9.32    8.25    7.37    6.63    6.01     NaN;
10.39    9.43    8.48    7.73    7.00     NaN     NaN; 
10.01    9.27    8.49    7.80     NaN     NaN     NaN;  
 9.59    8.94    8.27     NaN     NaN     NaN     NaN;   
 9.02    8.60     NaN     NaN     NaN     NaN     NaN;   
 8.45     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 2
cv=[
11.10    9.38    8.08    7.09    6.42    5.68    5.14; 
11.51   10.05    8.85    7.88    7.10    6.41     NaN;
11.14   10.06    9.02    8.29    7.45     NaN     NaN; 
10.72    9.87    9.04    8.28     NaN     NaN     NaN;  
10.20    9.46    8.74     NaN     NaN     NaN     NaN;   
 9.60    9.07     NaN     NaN     NaN     NaN     NaN;   
 8.93     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 3
cv=[
12.17   10.13    8.72    7.64    6.89    6.10    5.49; 
12.30   10.72    9.39    8.38    7.55    6.78     NaN;
11.79   10.56    9.52    8.76    7.85     NaN     NaN; 
11.33   10.43    9.47    8.72     NaN     NaN     NaN;  
10.79    9.97    9.22     NaN     NaN     NaN     NaN;   
10.13    9.55     NaN     NaN     NaN     NaN     NaN;   
 9.37     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 4 
cv=[
13.50   11.07    9.44    8.33    7.41    6.64    5.98; 
13.36   11.59   10.02    8.99    8.03    7.30     NaN;
12.62   11.30   10.09    9.31    8.29     NaN     NaN; 
12.18   11.10   10.08    9.25     NaN     NaN     NaN;  
11.49   10.61    9.69     NaN     NaN     NaN     NaN;   
10.62   10.17     NaN     NaN     NaN     NaN     NaN;   
 9.86     NaN     NaN     NaN     NaN     NaN     NaN]; 
end
end  

if q==5
if signif == 1
cv=[
10.94    9.19    7.88    6.94    6.19    5.52    4.95; 
11.81   10.21    8.93    7.92    7.17    6.46     NaN;
11.74   10.44    9.29    8.46    7.67     NaN     NaN; 
11.38   10.36    9.38    8.56     NaN     NaN     NaN;  
10.86   10.08    9.29     NaN     NaN     NaN     NaN;   
10.36    9.77     NaN     NaN     NaN     NaN     NaN;   
 9.76     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 2
cv=[
12.14   10.00    8.59    7.46    6.66    5.93    5.31; 
12.76   10.99    9.55    8.44    7.61    6.87     NaN;
12.52   11.10    9.88    8.97    8.12     NaN     NaN; 
12.06   10.99    9.93    9.04     NaN     NaN     NaN;  
11.52   10.63    9.84     NaN     NaN     NaN     NaN;   
10.95   10.29     NaN     NaN     NaN     NaN     NaN;   
10.26     NaN     NaN     NaN     NaN     NaN     NaN];
end
if signif == 3 
cv=[
13.22   10.74    9.18    7.97    7.10    6.33    5.70; 
13.68   11.63   10.08    8.87    8.05    7.30     NaN;
13.13   11.66   10.36    9.43    8.51     NaN     NaN; 
12.76   11.59   10.41    9.47     NaN     NaN     NaN;  
12.20   11.15   10.32     NaN     NaN     NaN     NaN;   
11.52   10.75     NaN     NaN     NaN     NaN     NaN;   
10.80     NaN     NaN     NaN     NaN     NaN     NaN];  
end
if signif == 4 
cv=[
14.47   11.77    9.83    8.77    7.62    6.82    6.13; 
14.66   12.50   10.70    9.51    8.55    7.76     NaN;
14.00   12.31   10.91   10.05    9.00     NaN     NaN; 
13.52   12.19   11.10   10.05     NaN     NaN     NaN;  
12.77   11.80   10.97     NaN     NaN     NaN     NaN;   
12.20   11.24     NaN     NaN     NaN     NaN     NaN;   
11.38     NaN     NaN     NaN     NaN     NaN     NaN];  
end
end  

if q==6
if signif == 1
cv=[
11.76   9.76    8.25   7.27   6.45  5.79  5.16; 
12.91   11.08   9.59   8.53   7.63  6.90  NaN;
12.94   11.42   10.12  9.12   8.25  NaN   NaN; 
12.60   11.39   10.32  9.41   NaN   NaN   NaN;  
12.21   11.24   10.29  NaN    NaN   NaN   NaN;   
11.64   10.89   NaN    NaN    NaN   NaN   NaN;   
11.03   NaN     NaN    NaN    NaN   NaN   NaN];
end
if signif == 2
cv=[
13.00   10.56  8.96   7.85  7.00  6.25  5.55; 
13.93   11.88  10.23  9.09  8.15  7.33  NaN;
13.83   12.11  10.69  9.65  8.71  NaN   NaN; 
13.33   12.02  10.85  9.93  NaN   NaN   NaN;  
12.89   11.85  10.84  NaN   NaN   NaN   NaN;   
12.23   11.49  NaN    NaN   NaN   NaN   NaN;   
11.59   NaN    NaN    NaN   NaN   NaN   NaN]; 
end
if signif == 3
cv=[
14.09   11.36  9.62   8.44   7.48  6.70  5.91; 
14.79   12.56  10.83  9.59   8.57  7.70  NaN;
14.60   12.73  11.24  10.17  9.17  NaN   NaN; 
14.04   12.58  11.37  10.42  NaN   NaN   NaN;  
13.55   12.35  11.34  NaN    NaN   NaN   NaN;   
12.81   11.99  NaN    NaN    NaN   NaN   NaN;   
12.09   NaN    NaN    NaN    NaN   NaN   NaN];  
end
if signif == 4
cv=[
15.24   12.25   10.41  8.99   7.99  7.22  6.37; 
15.80   13.40   11.60  10.17  9.13  8.24  NaN;
15.60   13.68   11.79  10.80  9.66  NaN   NaN; 
14.75   13.35   11.94  10.97  NaN   NaN   NaN;  
14.23   12.92   11.87  NaN    NaN   NaN   NaN;   
13.46   12.54   NaN    NaN    NaN   NaN   NaN;   
12.73   NaN     NaN    NaN    NaN   NaN   NaN];
end
end  

if q==7
if signif == 1
cv=[
12.63  10.38  8.73   7.57   6.76  6.02  5.35; 
14.03  11.88  10.24  9.08   8.09  7.29  NaN;
14.10  12.38  10.92  9.75   8.82  NaN   NaN; 
13.88  12.45  11.19  10.20  NaN   NaN   NaN;  
13.41  12.34  11.17  NaN    NaN   NaN   NaN;   
12.95  12.00  NaN    NaN    NaN   NaN   NaN;   
12.24  NaN    NaN    NaN    NaN   NaN   NaN]; 
end
if signif == 2 
cv=[
13.89  11.20  9.39   8.15   7.30  6.49  5.78; 
14.97  12.69  10.88  9.64   8.62  7.71  NaN;
14.96  13.08  11.54  10.31  9.31  NaN   NaN; 
14.67  13.11  11.81  10.72  NaN   NaN   NaN;  
14.06  12.96  11.74  NaN    NaN   NaN   NaN;   
13.60  12.55  NaN    NaN    NaN   NaN   NaN;   
12.84  NaN    NaN    NaN    NaN   NaN   NaN]; 
end
if signif == 3
cv=[
15.08  11.92  10.10  8.72   7.73  6.91  6.19; 
15.88  13.44  11.43  10.11  9.06  8.09  NaN;
15.71  13.76  12.12  10.82  9.74  NaN   NaN; 
15.40  13.70  12.27  11.15  NaN   NaN   NaN;  
14.64  13.51  12.24  NaN    NaN   NaN   NaN;   
14.19  13.14  NaN    NaN    NaN   NaN   NaN;   
13.28  NaN    NaN    NaN    NaN   NaN   NaN]; 
end
if signif == 4
cv=[
16.37  12.87  10.96  9.36   8.27   7.42  6.65; 
16.96  14.08  12.22  10.70  9.61   8.57  NaN;
16.52  14.57  12.77  11.41  10.28  NaN   NaN; 
16.39  14.42  12.88  11.67  NaN    NaN   NaN;  
15.39  14.12  12.85  NaN    NaN    NaN   NaN;   
14.91  13.76  NaN    NaN    NaN    NaN   NaN;   
13.96  NaN    NaN    NaN    NaN    NaN   NaN]; 
end
end  

if q==8
if signif == 1
cv=[
13.52  10.89  9.07   7.91   7.03  6.26  5.56; 
15.14  12.70  10.88  9.60   8.55  7.67  NaN;
15.28  13.27  11.65  10.48  9.42  NaN   NaN; 
15.11  13.43  12.04  10.90  NaN   NaN   NaN;  
14.71  13.37  12.12  NaN    NaN   NaN   NaN;   
14.18  13.06  NaN    NaN    NaN   NaN   NaN;   
13.48  NaN    NaN    NaN    NaN   NaN   NaN]; 
end
if signif == 2
cv=[
14.73  11.78  9.82   8.52   7.57  6.71  5.99; 
16.18  13.53  11.52  10.18  9.07  8.12  NaN;
16.22  13.99  12.25  11.06  9.91  NaN   NaN; 
15.86  14.12  12.63  11.45  NaN   NaN   NaN;  
15.45  14.03  12.67  NaN    NaN   NaN   NaN;   
14.86  13.68  NaN    NaN    NaN   NaN   NaN;   
14.15  NaN    NaN    NaN    NaN   NaN   NaN]; 
end
if signif == 3
cv=[
15.98  12.54  10.49  9.10   8.06   7.13  6.34; 
17.10  14.21  12.20  10.72  9.52   8.56  NaN;
17.02  14.61  12.82  11.55  10.32  NaN   NaN; 
16.66  14.77  13.17  11.92  NaN    NaN   NaN;  
16.06  14.61  13.18  NaN    NaN    NaN   NaN;   
15.51  14.24  NaN    NaN    NaN    NaN   NaN;   
14.63  NaN    NaN    NaN    NaN    NaN   NaN];  
end
if signif == 4
cv=[
17.47  13.41  11.29  9.72   8.63   7.64  6.80; 
18.12  15.17  12.93  11.37  10.02  9.03  NaN;
18.06  15.42  13.48  12.19  10.92  NaN   NaN; 
17.53  15.46  13.84  12.54  NaN    NaN   NaN;  
16.81  15.41  13.78  NaN    NaN    NaN   NaN;   
16.30  14.81  NaN    NaN    NaN    NaN   NaN;   
15.31  NaN    NaN    NaN    NaN    NaN   NaN];
end
end  

if q==9
if signif == 1
cv=[
14.30  11.43  9.53   8.27   7.24  6.49  5.75; 
16.22  13.46  11.52  10.10  8.99  8.06  NaN;
16.36  14.22  12.44  11.10  9.98  NaN   NaN; 
16.24  14.42  12.85  11.65  NaN   NaN   NaN;  
15.85  14.39  12.98  NaN    NaN   NaN   NaN;   
15.36  14.10  NaN    NaN    NaN   NaN   NaN;   
14.67  NaN    NaN    NaN    NaN   NaN   NaN];
end
if signif == 2
cv=[
15.53  12.27  10.25  8.87   7.75   6.91  6.19; 
17.29  14.31  12.22  10.72  9.53   8.54  NaN;
17.24  14.96  13.07  11.69  10.51  NaN   NaN; 
17.08  15.10  13.49  12.22  NaN    NaN   NaN;  
16.58  15.03  13.62  NaN    NaN    NaN   NaN;   
16.08  14.70  NaN    NaN    NaN    NaN   NaN;   
15.31  NaN    NaN    NaN    NaN    NaN   NaN]; 
end
if signif == 3
cv=[
16.72  13.13  10.99  9.44   8.27   7.38  6.53; 
18.19  15.06  12.84  11.24  10.04  8.94  NaN;
18.10  15.59  13.65  12.23  10.98  NaN   NaN; 
17.81  15.74  14.06  12.74  NaN    NaN   NaN;  
17.27  15.56  14.13  NaN    NaN    NaN   NaN;   
16.72  15.31  NaN    NaN    NaN    NaN   NaN;   
15.86  NaN    NaN    NaN    NaN    NaN   NaN];  
end
if signif == 4 
cv=[
18.29   14.09   11.85  10.15  8.85   7.95  7.00; 
19.32   15.94   13.64  11.92  10.60  9.41  NaN;
19.00   16.40   14.37  12.86  11.50  NaN   NaN; 
18.77   16.40   14.71  13.36  NaN    NaN   NaN;  
18.17   16.23   14.69  NaN    NaN    NaN   NaN;   
17.52   16.02   NaN    NaN    NaN    NaN   NaN;   
16.65   NaN     NaN    NaN    NaN    NaN   NaN];  
end
end  

if q==10
if signif == 1
cv=[
15.20  11.94   9.87   8.56   7.55   6.73  5.97; 
17.19  14.21   12.03  10.60  9.37   8.43  NaN;
17.61  15.11   13.17  11.71  10.51  NaN   NaN; 
17.41  15.41   13.69  12.41  NaN    NaN   NaN;  
17.02  15.44   13.93  NaN    NaN    NaN   NaN;   
16.51  15.09   NaN    NaN    NaN    NaN   NaN;   
15.80  NaN     NaN    NaN    NaN    NaN   NaN];
end
if signif == 2
cv=[
16.55  12.83  10.62  9.19   8.11   7.20  6.39; 
18.21  15.07  12.79  11.20  9.90   8.87  NaN;
18.51  15.88  13.89  12.27  11.02  NaN   NaN; 
18.28  16.18  14.37  12.98  NaN    NaN   NaN;  
17.76  16.11  14.51  NaN    NaN    NaN   NaN;   
17.24  15.76  NaN    NaN    NaN    NaN   NaN;   
16.48    NaN  NaN    NaN    NaN    NaN   NaN];
end
if signif == 3
cv=[
17.71  13.69  11.37  9.76   8.60   7.65  6.79; 
19.26  15.85  13.32  11.79  10.41  9.31  NaN;
19.39  16.66  14.52  12.81  11.48  NaN   NaN; 
19.12  16.90  15.05  13.47  NaN    NaN   NaN;  
18.48  16.72  15.11  NaN    NaN    NaN   NaN;   
17.94  16.27  NaN    NaN    NaN    NaN   NaN;   
17.05  NaN    NaN    NaN    NaN    NaN   NaN];
end
if signif == 4
cv=[
19.36  14.74  12.09  10.56  9.26   8.18  7.26; 
20.29  16.76  14.05  12.38  10.97  9.83  NaN;
20.36  17.47  15.17  13.48  12.05  NaN   NaN; 
20.01  17.66  15.73  14.04  NaN    NaN   NaN;  
19.25  17.47  15.86  NaN    NaN    NaN   NaN;   
18.77  16.98  NaN    NaN    NaN    NaN   NaN;   
17.70  NaN    NaN    NaN    NaN    NaN   NaN];  
end
end  
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if trm == .15
cv=zeros(4,4);
if q==1
if signif == 1
cv=[
 6.21   5.72   5.09   4.39; 
 5.75   5.46   5.00   NaN;   
 5.06   4.97   NaN    NaN;   
 4.38   NaN    NaN    NaN];   
end
if signif == 2
cv=[
 7.18   6.46   5.68   4.86; 
 6.49   6.13   5.50   NaN;   
 5.69   5.48   NaN    NaN;   
 4.91   NaN    NaN    NaN];   
end
if signif == 3
cv=[
 8.12   7.23   6.16   5.33; 
 7.17   6.71   5.95   NaN;   
 6.17   5.94   NaN    NaN;   
 5.34   NaN    NaN    NaN];   
end
if signif == 4
cv=[
 9.24   8.00   6.79   5.91; 
 7.98   7.45   6.48   NaN;   
 6.76   6.57   NaN    NaN;   
 5.90   NaN    NaN    NaN];   
end
end   

if q==2
if signif == 1
cv=[
 7.45  6.54  5.68  4.91; 
 7.31  6.66  5.87  NaN;   
 6.74  6.29  NaN   NaN;   
 6.01  NaN   NaN   NaN];   
end
if signif == 2
cv=[
 8.45  7.36  6.27  5.42; 
 8.12  7.33  6.45  NaN;   
 7.46  6.86  NaN   NaN;   
 6.53  NaN   NaN   NaN];   
end
if signif == 3
cv=[
 9.45  8.02  6.84  5.90; 
 8.91  7.88  6.94  NaN;   
 8.15  7.41  NaN   NaN;   
 7.06  NaN   NaN   NaN];   
end
if signif == 4
cv=[
10.73  8.93  7.57  6.49; 
 9.90  8.73  7.58  NaN;   
 8.84  8.04  NaN   NaN;   
 7.64  NaN   NaN   NaN];   
end
end   

if q==3
if signif == 1
cv=[
 8.53  7.30  6.20  5.32; 
 8.63  7.63  6.66  NaN;   
 8.12  7.41  NaN   NaN;   
 7.44  NaN   NaN   NaN];   
end
if signif == 2
cv=[
 9.52  8.07  6.84  5.88; 
 9.51  8.31  7.23  NaN;   
 8.86  8.05  NaN   NaN;   
 8.05  NaN   NaN   NaN];   
end
if signif == 3
cv=[
10.61  8.80  7.39  6.39; 
10.30  8.98  7.74  NaN;   
 9.48  8.63  NaN   NaN;   
 8.61  NaN   NaN   NaN];   
end
if signif == 4
cv=[
11.87  9.67  8.16  6.89; 
11.30  9.80  8.38  NaN;   
10.25  9.33  NaN   NaN;   
 9.30  NaN   NaN   NaN];   
end
end   

if q==4
if signif == 1
cv=[
 9.51  7.87  6.67  5.66; 
 9.90  8.56  7.38  NaN;   
 9.45  8.40  NaN   NaN;   
 8.86  NaN   NaN   NaN];   
end
if signif == 2
cv=[
10.54  8.73  7.32  6.17; 
10.83  9.30  8.02  NaN;   
10.27  9.03  NaN   NaN;   
 9.53  NaN   NaN   NaN];   
end
if signif == 3 
cv=[
11.61  9.47  7.92  6.73; 
11.62  9.98  8.60  NaN;   
11.01  9.58  NaN   NaN;   
10.10  NaN   NaN   NaN];   
end
if signif == 4 
cv=[
13.08  10.42  8.71  7.26; 
12.62  10.73  9.28  NaN;   
11.84  10.29  NaN   NaN;   
10.86  NaN    NaN   NaN];   
end
end   

if q==5
if signif == 1
cv=[
10.45  8.53  7.18  6.03; 
11.03  9.41  8.10  NaN;   
10.69  9.43  NaN   NaN;   
10.05  NaN   NaN   NaN];   
end
if signif == 2
cv=[
11.66  9.33   7.82  6.56; 
12.01  10.13  8.70  NaN;   
11.49  10.09  NaN   NaN;   
10.78  NaN    NaN   NaN];   
end
if signif == 3
cv=[
12.72  10.09  8.43  7.10; 
12.89  10.82  9.23  NaN;   
12.28  10.72  NaN   NaN;   
11.34  NaN    NaN   NaN];   
end
if signif == 4
cv=[
14.06  11.15  9.12  7.70; 
14.13  11.67  9.87  NaN;   
13.19  11.38  NaN   NaN;   
12.07  NaN    NaN   NaN];   
end
end   

if q==6
if signif == 1
cv=[
11.27  9.07   7.52  6.38; 
12.08  10.21  8.73  NaN;   
11.85  10.34  NaN   NaN;   
11.22  NaN    NaN   NaN];   
end
if signif == 2
cv=[
12.50  9.90   8.20  6.92; 
13.02  11.01  9.36  NaN;   
12.72  11.11  NaN   NaN;   
12.02  NaN    NaN   NaN];   
end
if signif == 3 
cv=[
13.62  10.61  8.81  7.49; 
13.90  11.72  9.98  NaN;   
13.49  11.76  NaN   NaN;   
12.62  NaN    NaN   NaN];   
end
if signif == 4 
cv=[
14.90  11.53  9.66   8.21; 
14.99  12.53  10.63  NaN;   
14.35  12.59  NaN    NaN;   
13.42  NaN    NaN    NaN];   
end
end   

if q==7
if signif == 1 
cv=[
12.17  9.69   7.98  6.66; 
13.22  11.03  9.33  NaN;   
13.01  11.30  NaN   NaN;   
12.46  NaN    NaN   NaN];   
end
if signif == 2
cv=[
13.42  10.55  8.67  7.23; 
14.24  11.76  9.99  NaN;   
13.93  11.99  NaN   NaN;   
12.46  NaN    NaN   NaN];   
end
if signif == 3 
cv=[
14.63  11.28  9.34   7.80; 
15.16  12.48  10.65  NaN;   
14.76  12.63  NaN    NaN;   
13.82  NaN    NaN    NaN];   
end
if signif == 4 
cv=[
16.06  12.10  10.20  8.40; 
16.28  13.33  11.36  NaN;   
15.74  13.34  NaN    NaN;   
14.65  NaN    NaN    NaN];   
end
end   

if q==8
if signif == 1 
cv=[
13.02  10.19  8.36   7.03; 
14.23  11.77  10.01  NaN;   
14.23  12.19  NaN    NaN;   
13.53  NaN    NaN    NaN];   
end
if signif == 2 
cv=[
14.38  11.12  9.04   7.60; 
15.30  12.65  10.71  NaN;   
15.10  12.93  NaN    NaN;   
14.34  NaN    NaN    NaN];   
end
if signif == 3 
cv=[
15.55  11.90  9.73   8.20; 
16.28  13.39  11.32  NaN;   
15.92  13.67  NaN    NaN;   
15.03  NaN    NaN    NaN];   
end
if signif == 4
cv=[
17.10  12.93  10.67  8.86; 
17.28  14.22  12.06  NaN;   
16.78  14.48  NaN    NaN;   
15.92  NaN    NaN    NaN];   
end
end   

if q==9
if signif == 1
cv=[
13.81  10.74  8.77   7.35; 
15.27  12.48  10.61  NaN;   
15.29  13.08  NaN    NaN;   
14.70  NaN    NaN    NaN];   
end
if signif == 2 
cv=[ 
15.05  11.61  9.53   7.94; 
16.35  13.35  11.30  NaN;   
16.19  13.83  NaN    NaN;   
15.48  NaN    NaN    NaN];   
end
if signif == 3
cv=[
16.12  12.45  10.23  8.47; 
17.33  14.13  11.91  NaN;   
17.05  14.63  NaN    NaN;   
16.14  NaN    NaN    NaN];   
end
if signif == 4
cv=[
17.61  13.42  11.04  9.18; 
18.49  15.14  12.75  NaN;   
18.05  15.44  NaN    NaN;   
17.06  NaN    NaN    NaN];   
end
end   

if q==10
if signif == 1
cv=[
14.62  11.23  9.14   7.64; 
16.26  13.36  11.20  NaN;   
16.33  13.93  NaN    NaN;   
15.77  NaN    NaN    NaN];   
end
if signif == 2
cv=[
16.03  12.11   9.86   8.23; 
17.35  14.19   11.86  NaN;   
17.37  14.72   NaN    NaN;   
16.57   NaN    NaN    NaN];   
end
if signif == 3
cv=[
17.15  12.94  10.53  8.78; 
18.37  14.99  12.53  NaN;   
18.24  15.49   NaN   NaN;   
17.30   NaN    NaN   NaN];   
end
if signif == 4
cv=[
18.73  14.04  11.40  9.52; 
19.57  15.95  13.26  NaN;   
19.10  16.38  NaN    NaN;   
18.23  NaN    NaN    NaN];   
end
end   
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if trm == .20
cv=zeros(2,2);

if q==1   
if signif == 1 
cv=[
 5.83  5.18; 
 5.19  NaN];   
end
if signif == 2
cv=[
 6.79  5.89; 
 5.93  NaN];   
end   
if signif == 3 
cv=[
 7.70  6.70; 
 6.56  NaN];   
end
if signif == 4 
cv=[
 8.83  7.52; 
 7.42  NaN];   
end
end  

if q==2   
if signif == 1 
cv=[
 7.10  6.01; 
 6.72  NaN];   
end
if signif == 2
cv=[
 8.12  6.77; 
 7.52  NaN];   
end   
if signif == 3
cv=[
 9.08  7.50; 
 8.34  NaN];   
end
if signif == 4
cv=[
 10.27  8.33; 
  9.31  NaN];   
end
end  

if q==3   
if signif == 1 
cv=[
 8.09  6.70; 
 7.94  NaN];   
end
if signif == 2
cv=[
 9.11  7.50; 
 8.77  NaN];   
end   
if signif == 3
cv=[
 10.18  8.25; 
 9.59   NaN];   
end
if signif == 4 
cv=[
11.50  9.09; 
10.50  NaN];   
end
end  

if q==4   
if signif == 1
cv=[
 9.09  7.31; 
 9.17  NaN];   
end
if signif == 2
cv=[
10.14   8.14; 
10.01   NaN];
end   
if signif == 3
cv=[
11.17   8.91; 
10.89   NaN];
end
if signif == 4 
cv=[
12.67   9.76; 
11.90   NaN];
end
end  

if q==5   
if signif == 1
cv=[
 9.99   7.94; 
10.36   NaN];
end
if signif == 2
cv=[
11.20   8.75; 
11.33   NaN];
end   
if signif == 3
cv=[
12.28   9.54; 
12.22   NaN];
end
if signif == 4
cv=[
13.56   10.52; 
13.29   NaN];
end
end  

if q==6   
if signif == 1
cv=[
10.80  8.50; 
11.32   NaN];
end
if signif == 2 
cv=[
12.02  9.30; 
12.30   NaN];
end   
if signif == 3
cv=[
13.16  10.08; 
13.14   NaN];
end
if signif == 4
cv=[
14.49  10.94; 
14.19   NaN];
end
end  

if q==7   
if signif == 1
cv=[
11.70  9.09; 
12.56  NaN];
end
if signif == 2
cv=[
12.89  9.97; 
13.63   NaN];
end   
if signif == 3
cv=[
14.08  10.68; 
14.57  NaN];
end
if signif == 4
cv=[
15.46  11.58; 
15.67  NaN];
end
end  

if q==8   
if signif == 1
cv=[
12.56  9.52; 
13.46  NaN];
end
if signif == 2
cv=[
13.84  10.46; 
14.55  NaN];
end   
if signif == 3
cv=[
14.87  11.26; 
15.45  NaN];
end
if signif == 4 
cv=[
16.39  12.43; 
16.60  NaN];
end
end  

if q==9   
if signif == 1
cv=[
13.33  10.15; 
14.37  NaN];
end
if signif == 2 
cv=[
14.59  11.08; 
15.46  NaN];
end   
if signif == 3
cv=[
15.67  11.78; 
16.51  NaN];
end
if signif == 4 
cv=[
17.03  12.85; 
17.69  NaN];
end
end  

if q==10   
if signif == 1
cv=[
14.09  10.61; 
15.37  NaN];
end
if signif == 2 
cv=[
15.53  11.48; 
16.51  NaN];
end   
if signif == 3
cv=[
16.73  12.39; 
17.59  NaN];
end
if signif == 4 
cv=[
18.15  13.47; 
18.75  NaN];
end
end  
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if trm == .25
if q==1
if signif == 1 
cv=5.48;    
end
if signif == 2
cv=6.43;    
end
if signif == 3
cv=7.42;    
end
if signif == 4
cv=8.56;    
end
end

if q==2
if signif == 1 
cv=6.70;    
end
if signif == 2 
cv=7.72;    
end
if signif == 3 
cv=8.69;    
end
if signif == 4 
cv=9.94;    
end
end

if q==3
if signif == 1
cv=7.67;    
end
if signif == 2
cv=8.75;    
end
if signif == 3 
cv=9.73;    
end
if signif == 4 
cv=10.89;    
end
end

if q==4
if signif == 1
cv=8.66;    
end
if signif == 2
cv=9.73;    
end
if signif == 3
cv=10.87;    
end
if signif == 4
cv=12.33;    
end
end

if q==5
if signif == 1
cv=9.56;    
end
if signif == 2
cv=10.73;    
end
if signif == 3
cv=11.93;    
end
if signif == 4
cv=13.23;    
end
end

if q==6
if signif == 1
cv=10.37;    
end
if signif == 2
cv=11.56;    
end
if signif == 3
cv=12.62;    
end
if signif == 4
cv=14.03;    
end
end

if q==7
if signif == 1
cv=11.23;    
end
if signif == 2
cv=12.43;    
end
if signif == 3
cv=13.50;    
end
if signif == 4
cv=14.87;    
end
end

if q==8
if signif == 1
cv=12.07;    
end
if signif == 2
cv=13.32;    
end
if signif == 3
cv=14.44;    
end
if signif == 4
cv=16.04;    
end
end

if q==9
if signif == 1
cv=12.83;    
end
if signif == 2
cv=14.11;    
end
if signif == 3
cv=15.16;    
end
if signif == 4
cv=16.62;    
end
end

if q==10
if signif == 1
cv=13.61;    
end
if signif == 2
cv=14.84;    
end
if signif == 3
cv=16.28;    
end
if signif == 4
cv=17.71;    
end
end
end

