function loglik=mlef(start,y,z,q,x,p,h,last)

loglik  = zeros(last,1);
if p>0
    y   = y-x*inv(x'*x)*x'*y;
    z   = z-x*inv(x'*x)*x'*z;
end
i       = start;
j       = start+h-1;
segz    = z((i-1)+1:j,:);
segy    = y((i-1)+1:j,:);
b       = invpd(segz'*segz)*segz'*segy;
res     = segy-segz*b;
vvar    = res'*res/h;
vstar   = vvar+1;
itr     = 1;
while max(abs(vec(vvar-vstar)))>1e-6 && itr<1000
	vstar = vvar; 
    ibigv = kron(eye(size(segy,1)),invpd(vstar)); 
	b     = invpd(segz'*ibigv*segz)*segz'*ibigv*segy; 
    res   = segy-segz*b;
    vvar  = res'*res/h;
	itr   = itr+1;
	if itr==1000
	 disp('warning: The number of iterations has reached the limit, FGLS does not converge');
     disp('consider to increase the minimum length of a segment');
    end
end
ibigv     = kron(eye(h),invpd(vvar));
ihstar    = invpd(segz'*ibigv*segz);
bstar     = b;
ystar     = segy;
zstar     = segz;
vstar     = vvar;

while j<=last
	gstar  = ihstar*z((j-1)+1:j,:)';
	icstar = invpd(vstar+z((j-1)+1:j,:)*ihstar*z((j-1)+1:j,:)'); 
	b      = bstar+gstar*icstar*(y((j-1)+1:j,:)-z((j-1)+1:j,:)*bstar);
	tempz  = [zstar;z((j-1)+1:j,:)];
	tempy  = [ystar;y((j-1)+1:j,:)];
    res    = tempy-tempz*b;
    vvar   = res'*res/(j-i+1);
	itr    = 1;
    vstar=vvar+10;
    while max(abs(vec(vvar-vstar)))>1e-6 && itr<1000
	    vstar  = vvar;
	    icstar = invpd(vstar+z((j-1)+1:j,:)*ihstar*z((j-1)+1:j,:)');
	    b      = bstar+gstar*icstar*(y((j-1)+1:j,:)-z((j-1)+1:j,:)*bstar);
        res    = tempy-tempz*b;
        vvar   = res'*res/(j-i+1);
	    itr    = itr+1;
	    if itr==1000
	    disp('warning: The number of iterations has reached the limit, FGLS does not converge');
        disp('consider to increase the minimum length of a segment');
        end
    end
    loglik(j,1) = ((j-i+1)/2)*(log(2*pi)+1)+(j-i+1)/2*log(vvar); 
    bstar       = b;
    zstar       = tempz;
    ystar       = tempy;
    vstar       = vvar;
    ihstar      = ihstar-gstar*icstar*gstar';
    j=j+1;
end