function [suplr,brcstar,brvstar]=pslr2(y,z,q,m,n,x,p,bigt,vrobust,prewhit,h,typekbv)

%%% 1) log-likelihood function under the null
if p==0
   [~,datevec]      = dating(y,z,h,m,q,bigt);
   brc              = datevec(:,m);
   zbar             = pzbar(z,m,brc);
   reg0             = zbar;
else
   [~,datevec]      = datingpart(y,z,x,h,m,p,q,bigt);
   brc              = datevec(:,m);
   zbar             = pzbar(z,m,brc);
   reg0             = [zbar x];
end   
res0                = y-reg0*invpd(reg0'*reg0)*(reg0'*y);
vvar0               = res0'*res0/bigt;
tao0                = (res0.^2/vvar0)-1;
lr0                 = -(bigt/2)*(log(2*pi)+1+log(vvar0));

%%% 2) log-likelihood function under the alternative
brcase              = numcase(m,n);
suplrx              = zeros(brcase,1);
brcdt               = zeros(brcase,m);
brvdt               = zeros(brcase,n);
for idx=1:brcase
 [K,cbrind,vbrind]  = brcvcase(m,n,idx);
 [~,~,~,brv,res1]   = estdate(y,z,q,x,p,K,bigt,h,m,n,cbrind,vbrind);
 [lr1,tao1]         = ploglik(res1,n,brv);
 brcdt(idx,:)       = brc';
 brvdt(idx,:)       = brv';
    
 if vrobust==0
    phi             = tao0'*tao0/(bigt-1);
 elseif vrobust==1
    phi             = correct1(tao0,tao1,prewhit,typekbv);
 end
 suplrx(idx,1)      = (2/phi)*2*(lr1-lr0);
end

[suplr,maxind]      = max(suplrx);
brcstar             = brcdt(maxind,:)';
brvstar             = brvdt(maxind,:)';
suplr               = suplr/n;

