function [brc,brv,R]=segmake(K,brk,m,n,cbrind,vbrind,q)

if sum(cbrind)~=m
   disp('number of coefficient breaks is misspecified.') 
end
if sum(vbrind)~=n
    disp('number of variance breaks is misspecified.')
end

brc        = [];
brv        = [];
R          = zeros(q*(K+1),q*(m+1));
R(1:q,1:q) = eye(q);

ri         = 0; 
for i=1:K
    if cbrind(i,1)==1
       brc = [brc;brk(i,1)]; 
       ri  = ri+1;
    end
    R(q*i+1:q*(i+1),q*ri+1:q*(ri+1))=eye(q);   
    if vbrind(i,1)==1
        brv = [brv;brk(i,1)];
    end
end