function hac=correct1(vmat,vmata,prewhit,typekb)

% typekb=0 LRV constructed residuals under H0
% typekb=1 LRV constructed residuals under H1
% typekb=2 LRV constructed by hybrid method

if typekb==0
    vmata    = vmat;
elseif typekb==1
    vmat     = vmata;    
end
[nt,d]       = size(vmat);
bmat         = zeros(d,d);
bmata        = zeros(d,d);
vstar        = zeros(nt-1,d);
vstara       = zeros(nt-1,d);

if prewhit  == 1
for i=1:d
 b           = olsqr(vmat(2:nt,i),vmat(1:nt-1,:));
 bmat(i,:)   = b';
 vstar(:,i)  = vmat(2:nt,i)-vmat(1:nt-1,:)*b;
 ba          = olsqr(vmata(2:nt,i),vmata(1:nt-1,:));
 bmata(i,:)  = ba';
 vstara(:,i) = vmata(2:nt,i)-vmata(1:nt-1,:)*ba; 
end

jh           = jhatpr1(vstar,vstara); 
hac          = invpd(eye(d)-bmat)*jh*(inv(eye(d)-bmat))';

else
hac          = jhatpr1(vmat,vmata);
end

