function [glb,datevec,bigvec]=datingpart(y,z,x,h,m,p,q,bigt)

glb                   = zeros(m,1);
datevec               = zeros(m,m);

mi                    = 1;
for mi=1:m
  qq                  = p+q;
  zz                  = [x z];        
  [glb,datenl,bigvec] = dating(y,zz,h,mi,qq,bigt);        
  xbar                = pzbar(x,mi,datenl(1:mi,mi));
  zbar                = pzbar(z,mi,datenl(1:mi,mi));
  teta                = olsqr(y,[zbar xbar]);
  delta1              = teta(1:q*(mi+1),1);
  beta1               = olsqr(y-zbar*delta1,x);
  ssr1                = (y-x*beta1-zbar*delta1)'*(y-x*beta1-zbar*delta1);
  length              = 99999999.0;
  
  i                   = 1;    
  while length > 0.0001        
    [~,datenl,bigvec] = dating(y-x*beta1,z,h,mi,q,bigt);        
    zbar              = pzbar(z,mi,datenl(1:mi,mi));
    teta1             = olsqr(y,[x zbar]);
    beta1             = teta1(1:p,1);
    delta1            = teta1(p+1:p+q*(mi+1),1);
    ssrn              = (y-[x zbar]*teta1)'*(y-[x zbar]*teta1);       
    length            = abs(ssrn-ssr1);        
    i                 = i+1;
    ssr1              = ssrn;
    glb(mi,1)         = ssrn;
    datevec(1:mi,mi)  = datenl(1:mi,mi);          
  end
end
