function  [xinv,flag] = invpd(x)
 
if isposdef(x)
    xinv  = inv(x);
    flag  = 0;
else
flag      = 1;
[n, ~]    = size(x);
[u, d, v] = svd(x);
dd        = diag(d);
xchk      = u*diag(dd)*v';
dd        = dd + 1000*eps;
di        = ones(n,1)./dd;
xinv      = u*diag(di)*v';
end

