function [Tc,Tv]=jdateestim(y,z,q,m,n,x,p,bigt,h)

if (m==0) && (n==0)
    Tc                  = [];
    Tv                  = [];
else
   brcase               = numcase(m,n);
   suplrx               = zeros(brcase,1);
   for idx=1:brcase
     [K,cbrind,vbrind]  = brcvcase(m,n,idx);
     [~,~,brc,brv,res1] = estdate(y,z,q,x,p,K,bigt,h,m,n,cbrind,vbrind);
     lr1                = ploglik(res1,n,brv);  
        
     suplrx(idx,1)      = lr1;
   end
   
   [suplr,idxstar]      = max(suplrx);
   [K,cbrind,vbrind]    = brcvcase(m,n,idxstar);
   [~,~,Tc,Tv]          = estdate(y,z,q,x,p,K,bigt,h,m,n,cbrind,vbrind);
end
