function [suplr,brvstar]=pslr1(y,z,q,n,x,p,bigt,vrobust,prewhit,h,typekbv)

%%% 1) log-likelihood function under the null
if p==0
  reg         = z;
else
  reg         = [z x];
end
res0          = y-reg*invpd(reg'*reg)*reg'*y;
vvar0         = res0'*res0/bigt;
tao0          = (res0.^2/vvar0)-1;
lr0           = -(bigt/2)*(log(2*pi)+1+log(vvar0));

%%% 2) log-likelihood function under the alternative
bigvec        = zeros(bigt*(n+1),1);
for i=1:n+1
    bigvec((i-1)*bigt+1:i*bigt)=res0.^2;
end
[~,datevec]   = dating_M2(bigvec,h,n,bigt);
brv           = datevec(:,n);
[~,brv,R]     = segmake(n,brv,0,n,zeros(n,1),ones(n,1),q);
[~,res1]      = estimbr(y,z,q,x,p,bigt,n,brv,R,n,brv,1);
[lr1,tao1]    = ploglik(res1,n,brv);

if vrobust==0
   phi        = tao0'*tao0/(bigt-1);
elseif vrobust==1
   phi        = correct1(tao0,tao1,prewhit,typekbv);
end

suplr         = (2/phi)*2*(lr1-lr0);
brvstar       = brv;
suplr         = suplr/n;

